import { SiliconFlow } from '../../../../../src/provider/chat-adapter/siliconflow.ts';
import { KnowledgeBase } from '../../../../../src/provider/knowledge/knowledge-base.ts';
export const siliconflow = new SiliconFlow({
  apiKey: process.env.SILICONFLOW_API_KEY,
  model: 'Qwen/Qwen2-7B-Instruct',
});

export const knowledge = new KnowledgeBase({
  apiKey: process.env.SILICONFLOW_API_KEY,
  baseURL: SiliconFlow.BASE_URL,
  model: 'Qwen/Qwen2-7B-Instruct',
  embeddingModel: 'Pro/BAAI/bge-m3',
});
